Loading...
Searching...
No Matches
AVOption Struct Reference
libavutil » Data Structures » AVOptions

AVOption. More...

`#include <libavutil/opt.h>`

## Data Fields

const char * | name
const char * | help
| short English help text
int | offset
| Native access only.
enum AVOptionType | type
union { |
int64_t i64 |
double dbl |
const char * str |
AVRational q |
const AVOptionArrayDef * arr |
| Used for AV_OPT_TYPE_FLAG_ARRAY options. More...
} | default_val |
| Native access only, except when documented otherwise.
double | min
| minimum valid value for the option
double | max
| maximum valid value for the option
int | flags
| A combination of AV_OPT_FLAG_*.
const char * | unit
| The logical unit to which the option belongs.

## Detailed Description

AVOption.

Definition at line 429 of file opt.h.

## Field Documentation

## name

const char* AVOption::name

Definition at line 430 of file opt.h.

## help

const char* AVOption::help

short English help text

Todo:
  What about other languages?

Definition at line 436 of file opt.h.

## offset

int AVOption::offset

Native access only.

The offset relative to the context structure where the option value is stored. It should be 0 for named constants.

Definition at line 444 of file opt.h.

## type

enum AVOptionType AVOption::type

Definition at line 445 of file opt.h.

## i64

int64_t AVOption::i64

Definition at line 452 of file opt.h.

## dbl

double AVOption::dbl

Definition at line 453 of file opt.h.

## str

const char* AVOption::str

Definition at line 454 of file opt.h.

## q

AVRational AVOption::q

Definition at line 456 of file opt.h.

## arr

const AVOptionArrayDef* AVOption::arr

Used for AV_OPT_TYPE_FLAG_ARRAY options.

May be NULL.

Foreign access to some members allowed, as noted in AVOptionArrayDef documentation.

Definition at line 464 of file opt.h.

## [union]

union { ... } AVOption::default_val

Native access only, except when documented otherwise.

the default value for scalar options

## min

double AVOption::min

minimum valid value for the option

Definition at line 466 of file opt.h.

## max

double AVOption::max

maximum valid value for the option

Definition at line 467 of file opt.h.

## flags

int AVOption::flags

A combination of AV_OPT_FLAG_*.

Definition at line 472 of file opt.h.

## unit

const char* AVOption::unit

The logical unit to which the option belongs.

Non-constant options and corresponding named constants share the same unit. May be NULL.

Definition at line 479 of file opt.h.

The documentation for this struct was generated from the following file:

- libavutil/opt.h